#
# Conditional build:
%bcond_without	apidocs	# disable gtk-doc
%bcond_without	recode	# build without recode support

Summary:	Extremely Naive Charset Analyser
Summary(pl.UTF-8):	Skrajnie naiwny analizator zestawów znaków
Name:		enca
Version:	1.16
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://dl.cihar.com/enca/%{name}-%{version}.tar.xz
# Source0-md5:	0a1483530b1fdb9e2a54786489ee0b69
URL:		http://cihar.com/software/enca/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.8
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	iconv
%{?with_recode:BuildRequires:	recode-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/bin/mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enca is an Extremely Naive Charset Analyser. It detects character set
and encoding of text files and can also convert them to other
encodings using either a built-in converter or external libraries and
tools like libiconv, librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

%description -l pl.UTF-8
Enca to Extremely Naive Charset Analyser (skrajnie naiwny analizator
zestawów znaków). Wykrywa zestaw znaków i kodowanie plików tekstowych,
może także konwertować do innych kodowań przy użyciu wbudowanego
konwertera lub zewnętrznych bibliotek i narzędzi takich jak libiconv,
librecode czy cstocs.

Aktualnie obsługiwane są znaki białoruskie, bułgarskie, chorwackie,
czeskie, estońskie, litewskie, łotewskie, polskie, rosyjskie,
słowackie, słoweńskie i ukraińskie oraz niektóre kodowania
wielobajtowe (głównie warianty unikodu) niezależnie od języka.

%package libs
Summary:	Shared Enca library
Summary(pl.UTF-8):	Biblioteka współdzielona Enca
Group:		Libraries

%description libs
This package contains shared Enca library other programs can make use
of.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę współdzieloną Enca, która może być
wykorzystywana przez inne programy.

%package devel
Summary:	Header files for ENCA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ENCA
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for ENCA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ENCA.

%package static
Summary:	Static ENCA library
Summary(pl.UTF-8):	Statyczna biblioteka ENCA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ENCA library.

%description static -l pl.UTF-8
Statyczna biblioteka ENCA.

%package apidocs
Summary:	ENCA library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki ENCA
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
ENCA library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ENCA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	MKTEMP_PROG=/bin/mktemp \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1
echo '.so enca.1' > $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/enca
%attr(755,root,root) %{_bindir}/enconv
%attr(755,root,root) %{_libexecdir}/enca
%{_mandir}/man1/enca.1*
%{_mandir}/man1/enconv.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libenca.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libenca.so.0

%files devel
%defattr(644,root,root,755)
%doc README.devel
%attr(755,root,root) %{_libdir}/libenca.so
%{_libdir}/libenca.la
%{_includedir}/enca.h
%{_pkgconfigdir}/enca.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libenca.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libenca
%endif
%changelog
* Mon Oct 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enca.git;a=log;h=master

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> db9e873
- updated to 1.16
- removed obsolete libdir patch

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> be8db87
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> ebd14a9
- noarch apidocs

* Tue Oct 15 2013 Kacper Kornet <draenog@pld-linux.org> 1069858
- updated to 1.15

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> eb19b03
- new URLs; updated to 1.14

* Fri Jun 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a8f0a39
- added apidocs bcond and subpackage
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1b83432
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f743980
- converted to UTF-8

* Sun Apr 16 2006 Paweł Sikora <pluto@pld-linux.org> 282d380
- kill -L/usr/lib hardcoding in libenca.la, release 2.

* Sun Apr 16 2006 Paweł Sikora <pluto@pld-linux.org> 07b5553
- kill -L/usr/lib hardcoding in libenca.la.

* Sat Dec 24 2005 Jakub Bogusz <qboosh@pld-linux.org> bb9e303
- updated to 1.9

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> deef46e
- updated to 1.8

* Fri Nov 18 2005 Jakub Bogusz <qboosh@pld-linux.org> b0601e9
- updated pl, fixed -devel R

* Fri Nov 18 2005 Elan Ruusamäe <glen@pld-linux.org> d053732
- update files too

* Fri Nov 18 2005 Elan Ruusamäe <glen@pld-linux.org> 1229a39
- -libs split

* Thu Jun 30 2005 speedy <speedy@pld-linux.org> 467ec64
- fix %files

* Tue May 31 2005 zbyniu <zbyniu@pld-linux.org> e685884
- regenerate ac; BR: iconv

* Tue Apr 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 2b80bae
- unified bcond header

* Fri Apr 08 2005 wrobell <wrobell@pld-linux.org> 903fee6
- it is possible to build it without recode support (just iconv)

* Thu Mar 03 2005 Jakub Bogusz <qboosh@pld-linux.org> e0f2de6
- updated to 1.7

